Loading...
Searching...
No Matches
Opm::Satfunc::PhaseChecks::Oil::MobileOil_OW_SWmin< Scalar > Class Template Reference

Verify that critical oil saturation in oil/water system is strictly smaller than maximum oil saturation. More...

`#include <OilPhaseConsistencyChecks.hpp>`

Inheritance diagram for Opm::Satfunc::PhaseChecks::Oil::MobileOil_OW_SWmin< Scalar >:

## Public Member Functions

std::size_t | numExportedCheckValues () const override
| Number of `Scalar` values involved in the check.
void | exportCheckValues (Scalar *exportedCheckValues) const override
| Get a linearised copy of the `Scalar` values involved in the check.
std::string | description () const override
| Descriptive textual summary of this check.
std::string | condition () const override
| Textual representation of the consistency condition.
void | columnNames (std::string *headers) const override
| Retrieve names of the exported check values.
Public Member Functions inherited from Opm::Satfunc::PhaseChecks::PhaseCheckBase< Scalar >
void | test (const EclEpsScalingPointsInfo< Scalar > &endPoints) override
| Run specific check against a set of saturation function end-points.
bool | isViolated () const override
| Whether or not last set of end-points violated this particular check.
bool | isCritical () const override
| Whether or not this check is critical to the simulator's ability to run the case.
Public Member Functions inherited from Opm::SatfuncConsistencyChecks< Scalar >::Check
virtual | ~Check ()=default
| Virtual destructor since class has virtual functions.

## Additional Inherited Members

Protected Member Functions inherited from Opm::Satfunc::PhaseChecks::PhaseCheckBase< Scalar >
void | setViolated ()
| Mark check as violated.
void | setCritical ()
| Mark check as violated at critical level.

## Detailed Description

template<typename Scalar>
class Opm::Satfunc::PhaseChecks::Oil::MobileOil_OW_SWmin< Scalar >

Verify that critical oil saturation in oil/water system is strictly smaller than maximum oil saturation.

Template Parameters

  Scalar | Element type. Typically `float` or `double`.

## Member Function Documentation

## columnNames()

template<typename Scalar>

void Opm::Satfunc::PhaseChecks::Oil::MobileOil_OW_SWmin< Scalar >::columnNames | ( | std::string * | headers | ) | const

inline override virtual

Retrieve names of the exported check values.

Parameters

  [in,out] | headers | Pointer to contiguous sequence of at least numExportedCheckValues() strings.

Implements Opm::SatfuncConsistencyChecks< Scalar >::Check.

## condition()

template<typename Scalar>

std::string Opm::Satfunc::PhaseChecks::Oil::MobileOil_OW_SWmin< Scalar >::condition | ( |  | ) | const

inline override virtual

Textual representation of the consistency condition.

Implements Opm::SatfuncConsistencyChecks< Scalar >::Check.

## description()

template<typename Scalar>

std::string Opm::Satfunc::PhaseChecks::Oil::MobileOil_OW_SWmin< Scalar >::description | ( |  | ) | const

inline override virtual

Descriptive textual summary of this check.

Implements Opm::SatfuncConsistencyChecks< Scalar >::Check.

## exportCheckValues()

template<typename Scalar>

void Opm::Satfunc::PhaseChecks::Oil::MobileOil_OW_SWmin< Scalar >::exportCheckValues | ( | Scalar * | exportedCheckValues | ) | const

inline override virtual

Get a linearised copy of the `Scalar` values involved in the check.

Parameters

  [in,out] | exportedCheckValues | Pointer to contiguous sequence of at least numExportedCheckValues() `Scalars`.

Implements Opm::SatfuncConsistencyChecks< Scalar >::Check.

## numExportedCheckValues()

template<typename Scalar>

std::size_t Opm::Satfunc::PhaseChecks::Oil::MobileOil_OW_SWmin< Scalar >::numExportedCheckValues | ( |  | ) | const

inline override virtual

Number of `Scalar` values involved in the check.

Implements Opm::SatfuncConsistencyChecks< Scalar >::Check.

The documentation for this class was generated from the following files:

- opm/simulators/utils/satfunc/OilPhaseConsistencyChecks.hpp
- opm/simulators/utils/satfunc/OilPhaseConsistencyChecks.cpp